from django.contrib import admin
from rest_framework.authtoken.models import Token
from .models import *

# Register your models here.
@admin.register(RegisteredUser)
class RegisteredUserAdmin(admin.ModelAdmin):
    list_display = ("first_name", "last_name", "nick_name", "has_nsfw_toggle", "jwt_token")

    def jwt_token(self, obj):
        return Token.objects.get(user=obj.user).key